1. institution
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher
    • get
      GET
    • post
      POST
    • put
      PUT
    • updateStatus
      PATCH
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
        • put
        • active status
        • submit answer
  1. institution

post [admin]

Developing
POST
/institutions

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/institutions' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Telkom University",
    "email": "telyu@gmail.com",
    "phone": "123123123",
    "address": "Jl. Ketintang Jaya"
}'
Response Response Example
{"success":false,"message":"Validation error","errors":{"name":"Harap masukan nama terlebih dahulu","email":"Harap masukan email yang valid","phone":"Harap masukan phone terlebih dahulu","address":"Harap masukan address terlebih dahulu"}}
Modified at 2026-05-12 05:41:34
Previous
get
Next
show
Built with